package com.ximai.framework.config.properties;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @ Author: chicheng.li
 * @ Date  : 2024/2/21
 */
@Configuration
public class HttpBasicAuthProperties {

    @Value("${api.basicauth.username}")
    private String userName;
    @Value("${api.basicauth.password}")
    private String password;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
